# Pixelfed

## Description

Pixelfed is a decentralized image sharing platform that champions creativity and privacy. It offers a secure, community‑driven alternative to centralized social media networks by enabling federated communication and robust content sharing through a modern web interface.

## Overview

This Docker Compose deployment automates the installation and management of a Pixelfed instance

## Features 

- **Decentralized Content Sharing:**  
  Empower users to share photos and visual content on an interoperable, federated network with enhanced privacy controls.

- **Modern, Responsive Web Interface:**  
  Access an intuitive and dynamic user interface designed for effortless browsing, administration, and content management.

- **Robust Scalability & Performance:**  
  Leverage integrated Redis caching and a secure database (MariaDB or PostgreSQL) to ensure smooth scaling and high performance.

- **Flexible Configuration:**  
  Easily customize settings such as cache sizes, domain settings, and authentication options with environment variables and templated configuration files.

- **Maintenance & Administration Tools:**  
  Includes a suite of CLI commands and web‑based management tools to clear cache, manage the database, and monitor application status.

## Other Resources

- [Pixelfed GitHub Repository](https://github.com/pixelfed/pixelfed)
- [OIDC Plugin Installation Guide](https://chat.openai.com/share/67a4f448-4be8-800f-8639-4c15cb2fb44e)
